{
  "name": "MyEfreiBucket",
  "version": "1.0.0",
  "description": "This is the MyEfreiBucket's back-end",
  "author": "Louis Adam - Dylan de Sousa",
  "license": "MIT",
  "private": true,
  "main": ".dist/main.js",
  "types": "types.d.ts",
  "scripts": {
    "test:static": "yarn tsc",
    "test:unit": "yarn jest --config=.jestrc.js --maxWorkers 2",
    "test": "clear && yarn test:static && yarn test:unit",
    "lint": "yarn eslint src/*.ts* src/**/*.ts*",
    "dev": "yarn nodemon",
    "build": "yarn babel src/ --out-dir .dist/ --extensions \".ts\" --source-maps inline --quiet --copy-files",
    "clean": "yarn rimraf .dist"
  },
  "engines": {
    "node": ">=12.7.x",
    "yarn": ">=1.19.x"
  },
  "dependencies": {
    "@babel/plugin-proposal-optional-chaining": "^7.6.0",
    "@types/bcrypt": "^10.0.28-alpha",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "mongodb": "^3.3.4",
    "passport": "^0.4.0",
    "save": "^2.4.0",
    "typeorm": "^0.2.20",
    "yarn": "^1.19.1"
  },
  "devDependencies": {
    "@babel/cli": "^7.6.4",
    "@babel/core": "^7.6.4",
    "@babel/node": "^7.6.3",
    "@babel/plugin-proposal-class-properties": "^7.7.0",
    "@babel/plugin-proposal-decorators": "^7.7.0",
    "@babel/preset-env": "^7.7.1",
    "@babel/preset-typescript": "^7.7.2",
    "@mhirba/eslint-config-base": "^1.4.2",
    "@types/chai": "^4.2.4",
    "@types/express": "^4.17.2",
    "@types/jest": "^24.0.20",
    "@types/node": "^12.11.7",
    "@types/passport": "^1.0.1",
    "@typescript-eslint/eslint-plugin": "^2.5.0",
    "@typescript-eslint/parser": "^2.5.0",
    "babel-jest": "^24.9.0",
    "chai": "^4.2.0",
    "eslint": "^6.5.1",
    "eslint-config-prettier": "^6.4.0",
    "eslint-plugin-jest": "^22.20.1",
    "eslint-plugin-prettier": "^3.0.1",
    "husky": "^3.0.9",
    "jest": "^24.9.0",
    "nodemon": "^1.18.9",
    "prettier": "^1.16.4",
    "prettier-eslint": "^9.0.0"
  }
}
